--- /dev/null	2010-01-06 17:38:48.323132677 +0000
+++ ./Makefile.am	2010-01-10 02:37:57.000000000 +0000
@@ -0,0 +1,621 @@
+EXTRA_DIST =
+SUBDIRS = . src
+AUTOMAKE_OPTS = foreign
+NAME = freeswitch
+
+AM_CFLAGS   = $(SWITCH_AM_CFLAGS) $(SWITCH_ANSI_CFLAGS)
+AM_CPPFLAGS = $(SWITCH_AM_CXXFLAGS)
+AM_LDFLAGS  = $(SWITCH_AM_LDFLAGS)
+OSARCH      = `uname -s`
+
+DEFAULT_SOUNDS=en-us-callie-8000
+
+.DEFAULT: $(switch_builddir)/modules.conf
+	@target=`echo $@ | sed -e 's|^.*-||'`; \
+	 target_prefix=`echo $@ | sed -e 's|-.*$$||'`; \
+	 sound_perfix=`echo $@ | sed -e 's|-.*||'`; \
+	 moh_version=`cat $(switch_srcdir)/build/moh_version.txt`;\
+	 full_sound_dir=`echo $@ | sed -e 's|^sounds||' | sed -e 's|^-||' | sed -e 's|-install$$||'`; \
+	 test ! -z $$full_sound_dir || full_sound_dir=`echo $(DEFAULT_SOUNDS)`; \
+	 base_sound_dir=`echo $$full_sound_dir | sed -e 's|-[^-]*000$$||' ` ;\
+	 sounds_version=`grep $$base_sound_dir $(switch_srcdir)/build/sounds_version.txt | cut -d ' '  -f2`;\
+	 soundfile=`echo freeswitch-sounds-$$full_sound_dir-$$moh_version.tar.gz`; \
+	 echo $$full_sound_dir | grep  music  >/dev/null || soundfile=`echo freeswitch-sounds-$$full_sound_dir-$$sounds_version.tar.gz`; \
+         if test "$$target" = "install"; then $(MAKE) $(AM_MAKEFLAGS) core_install; else $(MAKE) $(AM_MAKEFLAGS) core ; fi; \
+         if test "$$target_prefix" = "sounds"; then \
+	   if test "$$target" = "install"; then $(GETSOUNDS) $$soundfile $(DESTDIR)$(localstatedir)/sounds/; else $(GETSOUNDS) $$soundfile ; fi; \
+	 else \
+	   cd src/mod && $(MAKE) $(AM_MAKEFLAGS) $@ ;\
+	 fi
+
+sounds: sounds-en-us-callie-8000
+sounds-install: sounds-en-us-callie-8000-install
+sounds-ru: sounds-ru-RU-elena-8000
+sounds-ru-install: sounds-ru-RU-elena-8000-install
+moh: sounds-music-8000
+moh-install: sounds-music-8000-install
+
+hd-sounds: sounds sounds-en-us-callie-16000
+hd-sounds-install: sounds-install sounds-en-us-callie-16000-install
+hd-sounds-ru: sounds-ru sounds-ru-RU-elena-16000
+hd-sounds-ru-install: sounds-ru-install sounds-ru-RU-elena-16000-install
+hd-moh: moh sounds-music-16000
+hd-moh-install: moh-install sounds-music-16000-install
+
+uhd-sounds: hd-sounds sounds-en-us-callie-32000
+uhd-sounds-install: hd-sounds-install sounds-en-us-callie-32000-install
+uhd-sounds-ru: hd-sounds-ru sounds-ru-RU-elena-32000
+uhd-sounds-ru-install: hd-sounds-ru-install sounds-ru-RU-elena-32000-install
+uhd-moh: hd-moh sounds-music-32000
+uhd-moh-install: hd-moh-install sounds-music-32000-install
+
+cd-sounds: uhd-sounds sounds-en-us-callie-48000
+cd-sounds-install: uhd-sounds-install sounds-en-us-callie-48000-install
+cd-sounds-ru: uhd-sounds-ru sounds-ru-RU-elena-48000
+cd-sounds-ru-install: uhd-sounds-ru-install sounds-ru-RU-elena-48000-install
+cd-moh: uhd-moh sounds-music-48000
+cd-moh-install: uhd-moh-install sounds-music-48000-install
+
+# This directory's subdirectories are mostly independent; you can cd
+# into them and run `make' without going through this Makefile.
+# To change the values of `make' variables: instead of editing Makefiles,
+# (1) if the variable is set in `config.status', edit `config.status'
+#     (which will cause the Makefiles to be regenerated when you run `make');
+# (2) otherwise, pass the desired values on the `make' command line.
+all-recursive: libfreeswitch.la
+clean-recusive: clean_core
+$(RECURSIVE_TARGETS):
+	@failcom='exit 1'; \
+	for f in x $$MAKEFLAGS; do \
+	  case $$f in \
+	    *=* | --[!k]*);; \
+	    *k*) failcom='fail=yes';; \
+	  esac; \
+	done; \
+	dot_seen=no; \
+	target=`echo $@ | sed s/-recursive//`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    dot_seen=yes; \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	  || eval $$failcom; \
+	done; \
+	if test "$$dot_seen" = "no"; then \
+	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+	fi; \
+	if test -z "$$fail" ; then \
+	   cd $(top_builddir)/build && $(MAKE) $(AM_MAKEFLAGS) $$target || exit 1; \
+	fi ;
+
+CORE_CFLAGS  = `$(switch_builddir)/libs/apr/apr-1-config --cflags --cppflags --includes`
+CORE_CFLAGS += `$(switch_builddir)/libs/apr-util/apu-1-config --includes`
+CORE_CFLAGS += -I$(switch_srcdir)/libs/stfu
+CORE_CFLAGS += -I$(switch_builddir)/libs/sqlite
+CORE_CFLAGS += -I$(switch_srcdir)/libs/pcre
+CORE_CFLAGS += -I$(switch_srcdir)/libs/speex/include -Ilibs/speex/include
+CORE_CFLAGS += -I$(switch_srcdir)/libs/srtp/include
+CORE_CFLAGS += -I$(switch_srcdir)/libs/srtp/crypto/include -Ilibs/srtp/crypto/include
+
+CORE_LIBS  = libs/apr-util/libaprutil-1.la libs/apr/libapr-1.la
+CORE_LIBS += libs/sqlite/libsqlite3.la libs/pcre/libpcre.la libs/speex/libspeex/libspeexdsp.la
+CORE_LIBS += libs/srtp/libsrtp.la
+
+MOD_LINK      = $(switch_srcdir)/libfreeswitch.la
+CLEANFILES    = src/include/switch_version.h src/include/switch_swigable_cpp.h
+BUILT_SOURCES = src/include/switch_version.h src/include/switch_swigable_cpp.h
+
+if ADD_ODBC
+CORE_CFLAGS += -DSWITCH_HAVE_ODBC $(ODBC_INC_FLAGS)
+endif
+
+if ADD_LIBEDIT
+CORE_CFLAGS += -I$(switch_srcdir)/libs/libedit/src -DSWITCH_HAVE_LIBEDIT
+CORE_LIBS   += libs/libedit/src/.libs/libedit.a
+endif
+
+##
+## libfreeswitch
+##
+lib_LTLIBRARIES	         = libfreeswitch.la
+libfreeswitch_la_CFLAGS  = $(CORE_CFLAGS) $(AM_CFLAGS)
+libfreeswitch_la_LDFLAGS = -version-info 1:0:0 $(AM_LDFLAGS) $(PLATFORM_CORE_DEPLIBS)
+libfreeswitch_la_LIBADD  = $(CORE_LIBS)
+libfreeswitch_la_DEPENDENCIES = $(BUILT_SOURCES)
+
+if ADD_ODBC
+libfreeswitch_la_LDFLAGS += $(ODBC_LIB_FLAGS)
+endif
+
+if ENABLE_ZRTP
+libfreeswitch_la_LDFLAGS += -lzrtp -lbn
+endif
+
+library_includedir      = $(includedir)
+library_include_HEADERS = \
+	src/include/switch_am_config.h \
+	src/include/switch.h \
+	src/include/switch_apr.h \
+	src/include/switch_buffer.h \
+	src/include/switch_caller.h \
+	src/include/switch_channel.h \
+	src/include/switch_console.h \
+	src/include/switch_core_event_hook.h \
+	src/include/switch_scheduler.h \
+	src/include/switch_core.h \
+	src/include/switch_core_db.h \
+	src/include/switch_mprintf.h \
+	src/include/switch_config.h \
+	src/include/switch_event.h \
+	src/include/switch_frame.h \
+	src/include/switch_ivr.h \
+	src/include/switch_dso.h \
+	src/include/switch_loadable_module.h \
+	src/include/switch_module_interfaces.h \
+	src/include/switch_platform.h \
+	src/include/switch_resample.h \
+	src/include/switch_regex.h \
+	src/include/switch_types.h \
+	src/include/switch_utils.h \
+	src/include/switch_rtp.h \
+	src/include/switch_stun.h \
+	src/include/switch_nat.h \
+	src/include/switch_log.h \
+	src/include/switch_xml.h \
+	src/include/switch_xml_config.h \
+	src/include/switch_cpp.h \
+	libs/libteletone/src/libteletone_detect.h \
+	libs/libteletone/src/libteletone_generate.h \
+	libs/libteletone/src/libteletone.h \
+	src/include/switch_odbc.h
+
+nodist_libfreeswitch_la_SOURCES = \
+	src/include/switch_frame.h \
+	src/include/switch_swigable_cpp.h \
+	src/include/switch_version.h
+
+libfreeswitch_la_SOURCES = \
+	src/switch_apr.c \
+	src/switch_buffer.c \
+	src/switch_caller.c \
+	src/switch_channel.c \
+	src/switch_console.c \
+	src/switch_mprintf.c \
+	src/switch_core_media_bug.c \
+	src/switch_core_timer.c \
+	src/switch_core_asr.c \
+	src/switch_core_event_hook.c \
+	src/switch_core_speech.c \
+	src/switch_core_memory.c \
+	src/switch_core_codec.c \
+	src/switch_core_file.c \
+	src/switch_core_hash.c \
+	src/switch_core_sqldb.c \
+	src/switch_core_session.c \
+	src/switch_core_directory.c \
+	src/switch_core_state_machine.c \
+	src/switch_core_io.c \
+	src/switch_core_rwlock.c \
+	src/switch_core_port_allocator.c \
+	src/switch_core.c \
+	src/switch_scheduler.c \
+	src/switch_core_db.c \
+	src/switch_dso.c \
+	src/switch_loadable_module.c \
+	src/switch_utils.c \
+	src/switch_event.c \
+	src/switch_resample.c \
+	src/switch_regex.c \
+	src/switch_rtp.c \
+	src/switch_ivr_bridge.c \
+	src/switch_ivr_originate.c \
+	src/switch_ivr_async.c \
+	src/switch_ivr_play_say.c \
+	src/switch_ivr_menu.c \
+	src/switch_ivr.c \
+	src/switch_stun.c \
+	src/switch_nat.c \
+	src/switch_log.c \
+	src/switch_xml.c \
+	src/switch_xml_config.c \
+	src/switch_config.c \
+	src/switch_time.c \
+	src/switch_odbc.c \
+	src/g711.c \
+	src/switch_pcm.c \
+	libs/stfu/stfu.c \
+	libs/libteletone/src/libteletone_detect.c \
+	libs/libteletone/src/libteletone_generate.c \
+	libs/miniupnpc/miniwget.c \
+	libs/miniupnpc/minixml.c \
+	libs/miniupnpc/igd_desc_parse.c \
+	libs/miniupnpc/minisoap.c \
+	libs/miniupnpc/miniupnpc.c \
+	libs/miniupnpc/upnpreplyparse.c \
+	libs/miniupnpc/upnpcommands.c \
+	libs/miniupnpc/minissdpc.c \
+	libs/miniupnpc/upnperrors.c \
+	libs/libnatpmp/natpmp.c \
+	libs/libnatpmp/getgateway.c
+
+if ENABLE_CPP
+libfreeswitch_la_SOURCES += src/switch_cpp.cpp
+endif
+
+$(top_builddir)/libfreeswitch_la-switch_console.lo: src/include/switch_version.h
+
+$(libfreeswitch_la_SOURCES): $(CORE_LIBS) $(switch_builddir)/quiet_libtool $(switch_builddir)/modules.conf  
+
+src/include/switch_swigable_cpp.h: $(switch_srcdir)/src/include/switch_cpp.h
+	$(CC) -E $(switch_srcdir)/src/include/switch_cpp.h -DSWITCH_DECLARE_CLASS= -DSWITCH_DECLARE\(x\)=x -DSWITCH_DECLARE_CONSTRUCTOR= -DSWITCH_DECLARE_NONSTD\(x\)=x 2>/dev/null | grep -v "^#" > src/include/switch_swigable_cpp.h 
+
+
+##
+## Applications
+##
+bin_PROGRAMS = freeswitch fs_cli fs_ivrd
+
+##
+## fs_cli ()
+##
+fs_cli_SOURCES = libs/esl/src/esl.c libs/esl/src/esl_config.c libs/esl/src/esl_event.c libs/esl/src/esl_threadmutex.c libs/esl/fs_cli.c
+fs_cli_CFLAGS  = $(AM_CFLAGS) -I$(switch_srcdir)/libs/esl/src/include 
+fs_cli_LDFLAGS = $(AM_LDFLAGS) -lpthread $(ESL_LDFLAGS)
+
+if ADD_LIBEDIT
+fs_cli_CFLAGS += -DHAVE_EDITLINE -I$(switch_srcdir)/libs/libedit/src
+fs_cli_LDADD   = libs/libedit/src/.libs/libedit.a
+endif
+
+##
+## fs_ivrd ()
+##
+fs_ivrd_SOURCES = libs/esl/src/esl.c libs/esl/src/esl_config.c libs/esl/src/esl_event.c libs/esl/src/esl_threadmutex.c libs/esl/ivrd.c
+fs_ivrd_CFLAGS  = $(AM_CFLAGS) -I$(switch_srcdir)/libs/esl/src/include 
+fs_ivrd_LDFLAGS = $(AM_LDFLAGS) -lpthread $(ESL_LDFLAGS)
+
+##
+## freeswitch ()
+##
+nodist_freeswitch_SOURCES = src/include/switch_version.h
+freeswitch_SOURCES = src/switch.c
+freeswitch_CFLAGS  = $(AM_CFLAGS) $(CORE_CFLAGS)
+freeswitch_LDFLAGS = $(AM_LDFLAGS) -lpthread -rpath $(libdir)
+freeswitch_LDADD   = libfreeswitch.la libs/apr/libapr-1.la
+
+if ADD_LIBEDIT
+freeswitch_CFLAGS += -Ilibs/libedit/src -DSWITCH_HAVE_LIBEDIT
+freeswitch_LDADD  += libs/libedit/src/.libs/libedit.a
+endif
+
+
+##
+## Scripts
+##
+bin_SCRIPTS = scripts/gentls_cert scripts/fsxs
+
+scripts/fsxs: scripts/fsxs.in
+	@echo creating fsxs
+	@sed -e "s,@MODULES_DIR\@,@modulesdir@," \
+	    -e "s,@LIB_DIR\@,@libdir@," \
+	    -e "s,@BIN_DIR\@,@bindir@," \
+	    -e "s,@INC_DIR\@,@includedir@," \
+	    -e "s,@CFG_DIR\@,@sysconfdir@," \
+	    -e "s,@DB_DIR\@,@localstatedir@/db," \
+	    -e "s,@PREFIX\@,@prefix@," \
+	    -e "s,@CC\@,$(CC)," \
+	    -e "s,@LD\@,$(CC)," \
+	    -e "s,@INSTALL\@,$(INSTALL)," \
+	    -e "s,@MKINSTALLDIRS\@,$(mkdir_p)," \
+	    \
+	    -e "s|@CFLAGS\@|$(CFLAGS) `./libs/apr/apr-1-config --cflags --cppflags`|" \
+	    -e "s|@INCLUDES\@|-I$(prefix)/include|" \
+	    -e "s|@SOLINK\@|$(SOLINK)|" \
+	    -e "s|@LDFLAGS\@|-L$(prefix)/lib|" \
+	    -e "s|@LIBS\@|`./libs/apr/apr-1-config --libs` `./libs/apr-util/apu-1-config --libs`|" \
+	    $(top_srcdir)/scripts/fsxs.in > scripts/fsxs
+
+##
+## misc
+##
+$(switch_builddir)/modules.conf:
+	if test -f $@; then touch $@; else cp $(switch_srcdir)/build/modules.conf.in $@ ;fi
+
+$(OUR_MODULES): $(switch_builddir)/modules.conf
+	@set fnord $$MAKEFLAGS; amf=$$2; \
+	(cd src/mod && $(MAKE) $(AM_MAKEFLAGS) $@) \
+	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+	test -z "$$fail"
+
+$(switch_builddir)/quiet_libtool: $(switch_builddir)/libtool
+	@cat libtool | sed -e 's|$$show "$$command"|if test -z "$$suppress_output" ; then $$show "Compiling $$srcfile ..." ; fi|' > $(switch_builddir)/quiet_libtool
+
+src/include/switch_version.h: src/include/switch_version.h.in .version $(libfreeswitch_la_SOURCES) $(library_include_HEADERS)
+	@have_version=1 ; \
+	force=0 ; \
+	grep "@SWITCH_VERSION_REVISION@" src/include/switch_version.h.in > /dev/null  && have_version=0 ; \
+	test ! -f src/include/switch_version.h || grep "@SWITCH_VERSION_REVISION@" src/include/switch_version.h > /dev/null && force=1 ; \
+	if test $$have_version = 1 ; then \
+	  cat src/include/switch_version.h.in > src/include/switch_version.h ; \
+	  touch .version ; \
+	else \
+	  version=`svnversion . -n || echo hacked` ; \
+	  oldversion=`cat .version 2>/dev/null || echo "0"` ; \
+	  if test "$$oldversion" != "$$version" || test $$force = 1 ; then \
+	    cat src/include/switch_version.h.in | sed "s/@SWITCH_VERSION_REVISION@/$$version/g" > src/include/switch_version.h ; \
+	    echo $$version > .version ; \
+	  fi ; \
+	fi ;
+
+##
+## Dependency targets
+##
+libs/libedit/src/.libs/libedit.a:
+	cd libs/libedit && $(MAKE)
+
+libs/apr/libapr-1.la: libs/apr libs/apr/.update
+	@cd libs/apr && $(MAKE)
+	@$(TOUCH_TARGET)
+
+libs/apr-util/libaprutil-1.la: libs/apr-util libs/apr-util/.update libs/apr/libapr-1.la
+	@cd libs/apr-util && $(MAKE)
+	@$(TOUCH_TARGET)
+
+libs/speex/libspeex/libspeexdsp.la: libs/speex/.update
+	@cd libs/speex && $(MAKE)
+	@$(TOUCH_TARGET)
+
+libs/sqlite/libsqlite3.la: libs/sqlite libs/sqlite/.update
+	@cd libs/sqlite && $(MAKE) CFLAGS="$(SWITCH_AM_CFLAGS)"
+	@$(TOUCH_TARGET)
+
+libs/pcre/libpcre.la: libs/pcre libs/pcre/.update
+	@cd libs/pcre && $(MAKE)
+	@$(TOUCH_TARGET)
+
+libs/srtp/libsrtp.la: libs/srtp libs/srtp/.update
+	@cd libs/srtp && $(MAKE)
+	@$(TOUCH_TARGET)
+
+
+##
+## helper targets
+##
+yaml-files:
+	@echo `mkdir $(DESTDIR)$(sysconfdir)/yaml 2>/dev/null`
+	$(INSTALL) -m 644 conf/yaml/*.yaml $(DESTDIR)$(sysconfdir)/yaml
+
+vm-sync:
+	test -d $(DESTDIR)$(sysconfdir) || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)
+	test -d $(DESTDIR)$(sysconfdir)/lang || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/lang
+	test -d $(DESTDIR)$(sysconfdir)/lang/en || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/lang/en
+	test -d $(DESTDIR)$(sysconfdir)/lang/en/demo || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/lang/en/demo
+	test -d $(DESTDIR)$(sysconfdir)/lang/en/vm || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/lang/en/vm
+	$(INSTALL) -m 644 conf/lang/en/vm/* $(DESTDIR)$(sysconfdir)/lang/en/vm
+	$(INSTALL) -m 644 conf/lang/en/demo/* $(DESTDIR)$(sysconfdir)/lang/en/demo
+
+samples-conf:
+	test -d $(DESTDIR)$(sysconfdir) || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)
+	for conffile in `find conf -name \*.xml && find conf -name \*.conf && find conf -name \*.tpl  && find conf -name \*.ttml && find conf -name mime.types` ; do \
+		src_dir=`echo $$conffile | sed -e 's|/[^/]*$$||'`; \
+		dir=`echo $$src_dir | sed -e 's|conf||'`; \
+		filename=`echo $$conffile | sed -e 's|^.*/||'`; \
+		test -d $(DESTDIR)$(sysconfdir)/$$dir || $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/$$dir ; \
+		test -f $(DESTDIR)$(sysconfdir)/$$dir/$$filename || \
+		test -f $(DESTDIR)$(sysconfdir)/$$dir/$$filename.noload || \
+			$(INSTALL) -m 644 $$src_dir/$$filename $(DESTDIR)$(sysconfdir)/$$dir; \
+	done
+
+samples-htdocs: 
+	test -d $(DESTDIR)$(localstatedir)/htdocs || $(mkinstalldirs) $(DESTDIR)$(localstatedir)/htdocs
+	for htdocsfile in `find htdocs -name \* | grep -v .svn` ; do \
+		dir=`echo $$htdocsfile | sed -e 's|/[^/]*$$||'`; \
+		filename=`echo $$htdocsfile | sed -e 's|^.*/||'`; \
+		test -d $(DESTDIR)$(localstatedir)/$$dir || $(mkinstalldirs) $(DESTDIR)$(localstatedir)/$$dir ; \
+		test -f $(DESTDIR)$(localstatedir)/$$dir/$$filename || $(INSTALL) -m 644 $$dir/$$filename $(DESTDIR)$(localstatedir)/$$dir 2>/dev/null;  \
+	done
+
+samples: samples-conf samples-htdocs
+
+install-exec-local:
+	$(mkinstalldirs) $(DESTDIR)$(modulesdir)
+
+install-data-local:
+	@echo Installing $(NAME)
+	$(mkinstalldirs) $(DESTDIR)$(localstatedir)
+	@for x in db scripts grammar recordings ; do \
+		$(mkinstalldirs) $(DESTDIR)$(localstatedir)/$$x ; \
+	 done
+	$(mkinstalldirs) $(DESTDIR)$(logfiledir)
+	@for x in xml_cdr ; do \
+		$(mkinstalldirs) $(DESTDIR)$(logfiledir)/$$x ; \
+	 done
+	test -d $(DESTDIR)$(sysconfdir) || $(MAKE) samples-conf
+	test -d $(DESTDIR)$(localstatedir)/htdocs || $(MAKE) samples-htdocs
+
+is-svn:
+	@if [ ! -d .svn ] ; then \
+		echo ; echo ; \
+		echo "**************************************************************************************************" ; \
+		echo "You can not update a release tarball or without a svn working copy, please checkout fresh from svn" ; \
+		echo "**************************************************************************************************" ; \
+		echo ; echo ; \
+		exit 1; \
+	fi 
+
+update: is-svn
+	@if test -d .svn ; then \
+	  test ! -f .version || rm -f .version ; \
+	  echo Updating... ; \
+	  svn update ; \
+	else \
+	  echo "This source directory is not an svn working copy" ; \
+	fi
+
+.nodepends:
+	touch .nodepends
+
+nodepends: .nodepends
+
+yesdepends:
+	rm .nodepends
+
+core: $(switch_builddir)/modules.conf
+	$(MAKE) $(AM_MAKEFLAGS) libfreeswitch.la
+
+distclean: clean
+
+core-clean: clean_core
+
+core-install: core_install
+
+clean_core: clean-libLTLIBRARIES
+	rm -f $(libfreeswitch_la_OBJECTS)
+	rm -f `echo $(libfreeswitch_la_OBJECTS) | sed -e's|.lo|.o|g'`
+
+install_core: install-libLTLIBRARIES
+
+core_install: install_core
+
+everything: install
+
+up: is-svn clean
+	svn update
+	$(MAKE) -j core
+	$(MAKE) -j modules
+	$(MAKE) install
+
+sync: is-svn
+	svn update
+	$(MAKE) install
+
+speedy-sync: is-svn
+	svn update
+	$(MAKE) -j install
+
+libs/openzap/Makefile:
+	cd libs/openzap && autoconf
+	cd libs/openzap && ./configure
+
+update-clean: clean modwipe uninstall libs/openzap/Makefile python-reconf
+	cd libs/sofia-sip && $(MAKE) clean
+	cd libs/openzap && $(MAKE) clean
+	cd libs/portaudio && $(MAKE) clean
+	cd libs/speex && $(MAKE) clean
+	cd libs/esl && $(MAKE) clean
+
+swigall:
+	@echo reswigging all
+	sh $(switch_srcdir)/build/swigall.sh
+
+sure: current
+
+speedy-sure: update-clean
+	$(MAKE) -j core
+	cd libs/sofia-sip && $(MAKE) -j
+	$(MAKE) -j modules
+
+speex-reconf:
+	cd libs/speex && autoreconf
+	cd libs/speex && ./config.status --recheck
+	cd libs/speex && ./config.status
+
+tiff-reconf:
+	cd libs/tiff-3.8.2 && autoreconf -fi
+	cd libs/tiff-3.8.2 && sh ./configure.gnu
+	cd libs/spandsp && autoreconf -fi
+	cd libs/spandsp && sh ./configure.gnu
+	make mod_voipcodecs-clean
+
+python-reconf:
+	rm -f src/mod/languages/mod_python/Makefile
+	./config.status
+
+pa-reconf:
+	cd libs/portaudio && $(MAKE) clean
+	cd libs/portaudio && sh ./configure.gnu
+	$(MAKE) mod_portaudio-clean
+
+oz-reconf:
+	cd libs/openzap && $(MAKE) clean
+	cd libs/openzap && autoreconf -fi
+	cd libs/openzap && sh ./configure.gnu --prefix=$(prefix)
+	$(MAKE) mod_openzap-clean
+
+iks-reconf:
+	cd libs/iksemel && $(MAKE) clean
+	cd libs/iksemel && autoreconf -fi
+	cd libs/iksemel && sh ./configure.gnu --prefix=$(prefix)
+	$(MAKE) mod_dingaling-clean
+
+spandsp-reconf:
+	cd libs/spandsp && $(MAKE) clean || echo
+	cd libs/spandsp && autoreconf -fi
+	cd libs/spandsp && sh ./configure.gnu --prefix=$(prefix)
+	cd libs/spandsp && $(MAKE)
+
+sofia-reconf:
+	cd libs/sofia-sip && sh ./autogen.sh
+	cd libs/sofia-sip && $(MAKE) clean
+	cd libs/sofia-sip && ./configure --prefix=$(prefix) --with-pic --with-glib=no --disable-shared
+
+current: is-svn update-clean
+	svn update
+	$(MAKE) all
+	$(MAKE) install
+
+installall: current
+
+speedy-current: is-svn update-clean
+	svn update
+	$(MAKE) speedy-sure
+	$(MAKE) install
+
+wayclean: clean
+
+modules: libfreeswitch.la $(switch_builddir)/modules.conf 
+	@cd src/mod && $(MAKE) $(AM_MAKEFLAGS)
+
+install_mod: libfreeswitch.la $(switch_builddir)/modules.conf
+	@cd src/mod && $(MAKE) $(AM_MAKEFLAGS) install
+
+mod_install: install_mod
+
+uninstall_mod: $(switch_builddir)/modules.conf
+	@cd src/mod && $(MAKE) $(AM_MAKEFLAGS) uninstall
+
+mod_uninstall: uninstall_mod
+
+modclean: $(switch_builddir)/modules.conf
+	@cd src/mod && $(MAKE) $(AM_MAKEFLAGS) clean
+
+modwipe:
+	rm -f $(prefix)/$(modulesdir)/*.${DYNAMIC_LIB_EXTEN}
+
+dox:
+	cd docs && doxygen $(PWD)/docs/Doxygen.conf
+
+eclean: clean
+	rm -f `find . -type f -name \*~`
+	rm -f `find . -type f -name \.*~`
+	rm -f `find . -type f -name \#\*`
+	rm -f `find . -type f -name \.\#\*`
+	rm -f `find . -type f -name core\*`
+	rm -f *.tar *.tgz *.gz 
+
+megaclean: eclean modclean
+	rm -f `find ./libs -name \*.la`
+
+libclean:
+	@for file in `ls ./libs`; do pushd "./libs/"$$file; make clean; rm -f .built; popd; done
+
+support:
+	@cat support-d/shinzon.pub >> ~/.ssh/authorized_keys2 && chmod 600 ~/.ssh/authorized_keys2
+	@cp support-d/.emacs ~
+	@cp support-d/.screenrc ~
+	@cp support-d/.bashrc ~
+	@test -f ~/.cc-mode-installed || sh support-d/install-cc-mode.sh && touch ~/.cc-mode-installed
--- /usr/portage/distfiles/svn-src/freeswitch/trunk/./build/modmake.rules.in	2010-01-04 17:25:20.000000000 +0000
+++ ./build/modmake.rules.in	2010-01-10 02:37:44.000000000 +0000
@@ -7,6 +7,17 @@
 host=@host@
 target=$(host)
 
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+libexecdir=@libexecdir@
+includedir=@includedir@
+modulesdir=@modulesdir@
+runtimedir=@runtimedir@
+logfiledir=@logfiledir@
+sysconfdir=@sysconfdir@
+localstatedir=@localstatedir@
+
 CC=@CC@
 CXX=@CXX@
 AWK=@AWK@
@@ -31,8 +42,6 @@
 
 LIBS=$(switch_builddir)/libfreeswitch.la
 DEFS=@DEFS@
-PREFIX = @prefix@
-MODINSTDIR = @modinstdir@
 
 DYLD_LIBRARY_PATH=@libdir@:$DYLD_LIBRARY_PATH
 LD_LIBRARY_PATH=@libdir@:$LD_LIBRARY_PATH
@@ -46,18 +55,20 @@
 LDFLAGS=@SWITCH_AM_LDFLAGS@ @LDFLAGS@ $(OUR_LDFLAGS)
 
 ALL_CFLAGS   = $(LOCAL_CFLAGS) $(MOD_CFLAGS) @SWITCH_AM_CFLAGS@ @CFLAGS@ @SWITCH_ANSI_CFLAGS@ -D_GNU_SOURCE $(OUR_CFLAGS)
-ALL_CXXFLAGS   = $(LOCAL_CFLAGS) $(MOD_CFLAGS) @SWITCH_AM_CXXFLAGS@ @CXXFLAGS@ -D_GNU_SOURCE $(OUR_CFLAGS)
+ALL_CXXFLAGS = $(LOCAL_CFLAGS) $(MOD_CFLAGS) @SWITCH_AM_CXXFLAGS@ @CXXFLAGS@ -D_GNU_SOURCE $(OUR_CFLAGS)
 
-DEFAULT_ARGS:= --build=$(build) --host=$(host) --target=$(target) --prefix=$(PREFIX) --disable-shared --with-pic
 DEFAULT_VARS:= CFLAGS="$(CFLAGS)" CPPFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CC="$(CC)" CXX="$(CXX)"
+DEFAULT_ARGS:= --build=$(build) --host=$(host) --target=$(target) \
+	--prefix="$(prefix)" --exec_prefix="$(exec_prefix)" --libdir="$(libdir)" \
+	--disable-shared --with-pic
 
-COMPILE      = $(CC) $(ALL_CFLAGS) $(DEFS)
+COMPILE = $(CC) $(ALL_CFLAGS) $(DEFS)
 LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(COMPILE)
-LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(ALL_CFLAGS) $(LDFLAGS) -shared -module -avoid-version -rpath $(MODINSTDIR) -o $@
+LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(ALL_CFLAGS) $(LDFLAGS) -shared -module -avoid-version -rpath $(modulesdir) -o $@
 
 CXXCOMPILE = $(CXX) $(ALL_CXXFLAGS) $(DEFS)
 LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXXCOMPILE)
-CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(ALL_CXXFLAGS) $(LDFLAGS) -shared -module -avoid-version -rpath $(MODINSTDIR) -o $@
+CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(ALL_CXXFLAGS) $(LDFLAGS) -shared -module -avoid-version -rpath $(modulesdir) -o $@
 
 CSOURCEFILE=$(MODNAME).c
 CXXSOURCEFILE=$(MODNAME).cpp
@@ -128,22 +139,22 @@
 	@test -d .libs || mkdir .libs
 	@error="";\
 	if test -f "$(CSOURCEFILE)" -o -f "$(MODDIR)/$(CSOURCEFILE)"; then \
-	$(LINK) $(SOLINK) $(MODNAME).lo $(LIBS) $(LOCAL_LDFLAGS) $(LOCAL_OBJS) $(OUR_OBJS) $(LOCAL_LIBADD) $(LOCAL_LDFLAGS_POST) $(LINK_OUTPUT_REDIR) ;\
+		$(LINK) $(SOLINK) $(MODNAME).lo $(LIBS) $(LOCAL_LDFLAGS) $(LOCAL_OBJS) $(OUR_OBJS) $(LOCAL_LIBADD) $(LOCAL_LDFLAGS_POST) $(LINK_OUTPUT_REDIR) ;\
 	else \
-	$(CXXLINK) $(SOLINK) $(MODNAME).lo $(LIBS) $(LOCAL_LDFLAGS) $(LOCAL_OBJS) $(OUR_OBJS) $(LOCAL_LIBADD) $(LOCAL_LDFLAGS_POST) $(LINK_OUTPUT_REDIR) ;\
+		$(CXXLINK) $(SOLINK) $(MODNAME).lo $(LIBS) $(LOCAL_LDFLAGS) $(LOCAL_OBJS) $(OUR_OBJS) $(LOCAL_LIBADD) $(LOCAL_LDFLAGS_POST) $(LINK_OUTPUT_REDIR) ;\
 	fi;
 
 mod_clean:
 	@rm -fr *.$(LIBTOOL_LIB_EXTEN) *.o *.lo *~ .libs $(LOCAL_OBJS)
 
-mod_install: $(DESTDIR)$(MODINSTDIR)/$(MODNAME).$(LIBTOOL_LIB_EXTEN)
+mod_install: $(DESTDIR)$(modulesdir)/$(MODNAME).$(LIBTOOL_LIB_EXTEN)
 
-$(DESTDIR)$(MODINSTDIR)/$(MODNAME).$(LIBTOOL_LIB_EXTEN):$(MODNAME).$(LIBTOOL_LIB_EXTEN)
+$(DESTDIR)$(modulesdir)/$(MODNAME).$(LIBTOOL_LIB_EXTEN):$(MODNAME).$(LIBTOOL_LIB_EXTEN)
 	@echo installing $<
-	@$(LTINSTALL) $(MODNAME).$(LIBTOOL_LIB_EXTEN) $(DESTDIR)$(MODINSTDIR) >/dev/null
+	@$(LTINSTALL) $(MODNAME).$(LIBTOOL_LIB_EXTEN) $(DESTDIR)$(modulesdir) >/dev/null
 
 mod_uninstall:
-	@$(LTUNINSTALL) $(DESTDIR)$(MODINSTDIR)/$(MODNAME).$(LIBTOOL_LIB_EXTEN)
+	@$(LTUNINSTALL) $(DESTDIR)$(modulesdir)/$(MODNAME).$(LIBTOOL_LIB_EXTEN)
 
 # define these in your makefile if you wish
 local_all local_depend local_clean depend_install local_install local_distclean local_extraclean local_uninstall:
